Bug 1977590 - perl-Inline-Python-0.56-16.fc35 FTBFS: all tests fail: Parse errors: Bad plan
Summary: perl-Inline-Python-0.56-16.fc35 FTBFS: all tests fail: Parse errors: Bad plan
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Inline-Python
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-06-30 07:10 UTC by Petr Pisar
Modified: 2021-08-19 07:53 UTC (History)
3 users (show)

Fixed In Version: perl-Inline-Python-0.56-19.fc35 perl-Inline-Python-0.56-19.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-19 07:53:27 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github niner inline-python-pm pull 33 0 None None None 2021-08-19 07:53:26 UTC

Description Petr Pisar 2021-06-30 07:10:32 UTC
perl-Inline-Python-0.56-16.fc35 fails to build in Fedora 35 bacause all tests file like this:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -mbranch-protection=standard -fasynchronous-unwind-tables -fstack-clash-protection' NO_PACKLIST=1
Found these python executables on your PATH:
1. /usr/bin/python3
Using the only python executable I could find
Set the INLINE_PYTHON_EXECUTABLE environment variable to the full path to your python executable to override this selection.
Using /usr/bin/python3
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
This python's configuration files are messed up. You'll have have to
answer the questions yourself. Here is what Python said:
   Extra Libs:  -lcrypt -ldl  -lutil -lm
   Python Library:  /usr/lib64/python3.10/config-3.10-aarch64-linux-gnu/libpython3.10.a
   Include Path:    /usr/include/python3.10
	1. LIBS option. I need to know what extra libraries, if any,  
	   are required by this build of python. I recommend this:
	   -lcrypt -ldl  -lutil -lm
Enter extra libraries (e.g. -lfoo -lbar) [-lcrypt -ldl  -lutil -lm] -lcrypt -ldl  -lutil -lm
	2. LIBRARY option. The location of the python library. 
	   Inline::Python needs to link against it to use Python.
	Here are the libraries I know about:
	   1) /usr/lib64/libpython3.10.so
	   2) /usr/lib64/libpython3.so
Which? Or enter another. [1] 1
	3. INCLUDE option. The location of the python include files.
	   Inline::Python needs these to compile.
	Here are the locations I know about:
	   1) /usr/include/python3.10
Which? Or enter another. [1] 1
Using These Settings:
   Extra Libs:  -lcrypt -ldl  -lutil -lm
   Python Lib:  -L/usr/lib64 -lpython3.10
   Includes:    -I/usr/include/python3.10
   Extra Flags: none (perl Makefile.PL --help for details)
[...]
+ make test
"/usr/bin/perl" -MExtUtils::Command::MM -e 'cp_nonempty' -- Python.bs blib/arch/auto/Inline/Python/Python.bs 644
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00init.t ................ ok
Failed to autogenerate /builddir/build/BUILD/Inline-Python-0.56/blib_test/config-aarch64-linux-thread-multi-5.034000.
 at t/01testpl.t line 6.
BEGIN failed--compilation aborted at t/01testpl.t line 6.
t/01testpl.t .............. 
Dubious, test returned 255 (wstat 65280, 0xff00)
[...]
Test Summary Report
-------------------
t/01testpl.t            (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 8 tests but ran 0.
[...]

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/10442957>.

Comment 1 Fedora Release Engineering 2021-07-11 04:23:14 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Fedora Release Engineering 2021-08-01 04:23:06 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 3 Ben Cotton 2021-08-10 13:10:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Mattias Ellert 2021-08-19 07:53:27 UTC
Segmentation fault with Python 3.10 due to calling PyBytes_FromString() before calling Py_Initialize().
Apparently was not a problem with earlier versions.


Note You need to log in before you can comment on or make changes to this bug.